Skip to main content
Export Wallet
curl --request POST \
  --url https://synthesis.trade/api/v1/wallet/{chain_id}/{wallet_id}/export \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "public_key": "MFkwEwYHKoZIzj0CAQYIKoZIzj0DAQcDQgAE..."
}
'
{
  "success": true,
  "response": {
    "ciphertext": "base64-encrypted-wallet-secret",
    "encapsulated_key": "base64-hpke-encapsulated-key"
  }
}

Authorizations

X-API-KEY
string
header
required

Account secret API key.

Path Parameters

chain_id
string
required

POL or SOL.

wallet_id
string
required

Body

application/json
public_key
string
required

Recipient HPKE public key as a base64-encoded DER/SPKI P-256 public key. Empty strings and non-base64 payloads are rejected.

Example:

"MFkwEwYHKoZIzj0CAQYIKoZIzj0DAQcDQgAE..."

Response

Wallet exported